package com.adealink.weparty.wallet.topup

import com.adealink.frame.base.fastLazy
import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.frame.router.annotation.RouterUri
import com.adealink.frame.util.onClick
import com.adealink.weparty.commonui.recycleview.adapter.MultiTypeListAdapter
import com.adealink.weparty.commonui.widget.BottomDialogFragment
import com.adealink.weparty.module.wallet.Wallet
import com.adealink.weparty.wallet.R
import com.adealink.weparty.wallet.data.RechargeProductItemData
import com.adealink.weparty.wallet.databinding.DialogTopUpBinding

@RouterUri(path = [Wallet.TopUpDialog.PATH], desc = "充值弹窗")
class TopUpDialog : BottomDialogFragment(R.layout.dialog_top_up) {

    private val binding by viewBinding(DialogTopUpBinding::bind)

    private val listAdapter by fastLazy { MultiTypeListAdapter<RechargeProductItemData>() }
    override fun initViews() {
        super.initViews()

        binding.btnRecharge.onClick {
            doRecharge()
        }
    }


    private fun doRecharge() {

    }

}